> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return the list of consumer groups.

> Lists all consumer groups in the Kafka cluster. Returns a collection of consumer group objects with their basic metadata.



## OpenAPI

````yaml get /admin/v1/consumer-groups
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/consumer-groups:
    get:
      tags:
        - ksn-consumer-group
      summary: Return the list of consumer groups.
      description: >-
        Lists all consumer groups in the Kafka cluster. Returns a collection of
        consumer group objects with their basic metadata.
      operationId: listConsumerGroups
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KafkaConsumerGroupList'
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
components:
  schemas:
    KafkaConsumerGroupList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/KafkaConsumerGroup'
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    KafkaConsumerGroup:
      type: object
      properties:
        consumer_group_id:
          type: string
        partition_assignor:
          type: string
        state:
          type: string
        type:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        simple:
          type: boolean
        kind:
          type: string
    Metadata:
      type: object

````